<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:background="@drawable/common_bottom_dialog_bg"
    android:clipChildren="false"
    android:paddingBottom="24dp">

    <androidx.appcompat.widget.AppCompatTextView
        android:id="@+id/tv_title"
        android:layout_width="match_parent"
        android:layout_height="@dimen/common_top_bar_height"
        android:fontFamily="@font/poppins_semibold"
        android:gravity="center"
        android:includeFontPadding="false"
        android:text="@string/join_us_example_avatar"
        android:textColor="@color/color_FF1D2129"
        android:textSize="16sp"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent" />

    <androidx.appcompat.widget.AppCompatImageView
        android:id="@+id/btn_close"
        android:layout_width="24dp"
        android:layout_height="24dp"
        android:layout_marginEnd="12dp"
        app:layout_constraintBottom_toBottomOf="@id/tv_title"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintTop_toTopOf="parent"
        app:srcCompat="@drawable/common_close_ic" />

    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/cl_pass"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:clipChildren="false"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@id/tv_title">

        <androidx.appcompat.widget.AppCompatImageView
            android:id="@+id/iv_avatar"
            android:layout_width="100dp"
            android:layout_height="100dp"
            android:layout_marginStart="16dp"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toStartOf="@id/cl_pass_tips"
            app:layout_constraintHorizontal_chainStyle="packed"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            app:srcCompat="@drawable/join_us_avatar_pass_ic" />

        <androidx.appcompat.widget.AppCompatImageView
            android:layout_width="25dp"
            android:layout_height="25dp"
            android:layout_marginEnd="-1.3dp"
            android:layout_marginBottom="-1.3dp"
            app:layout_constraintBottom_toBottomOf="@id/iv_avatar"
            app:layout_constraintEnd_toEndOf="@id/iv_avatar"
            app:srcCompat="@drawable/join_us_avatar_pass_tag_ic" />

        <androidx.constraintlayout.widget.ConstraintLayout
            android:id="@+id/cl_pass_tips"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginStart="12dp"
            android:layout_marginEnd="16dp"
            app:layout_constrainedWidth="true"
            app:layout_constraintBottom_toBottomOf="@id/iv_avatar"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintHorizontal_bias="0"
            app:layout_constraintStart_toEndOf="@id/iv_avatar"
            app:layout_constraintTop_toTopOf="@id/iv_avatar">


            <androidx.appcompat.widget.AppCompatImageView
                android:id="@+id/iv_tag_1"
                android:layout_width="16dp"
                android:layout_height="16dp"
                android:padding="5dp"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toTopOf="@id/tv_tips_1"
                app:srcCompat="@drawable/join_us_avatar_tip_tag_ic" />

            <androidx.appcompat.widget.AppCompatTextView
                android:id="@+id/tv_tips_1"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:includeFontPadding="false"
                android:lineSpacingExtra="0dp"
                android:lineSpacingMultiplier="1"
                android:text="@string/join_us_example_avatar_pass_tip1"
                android:textColor="@color/color_FF1D2129"
                android:textSize="14sp"
                app:layout_constrainedWidth="true"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintHorizontal_bias="0"
                app:layout_constraintStart_toEndOf="@id/iv_tag_1"
                app:layout_constraintTop_toTopOf="parent"
                app:lineHeight="16dp" />

            <androidx.appcompat.widget.AppCompatImageView
                android:id="@+id/iv_tag_2"
                android:layout_width="16dp"
                android:layout_height="16dp"
                android:padding="5dp"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toTopOf="@id/tv_tips_2"
                app:srcCompat="@drawable/join_us_avatar_tip_tag_ic" />

            <androidx.appcompat.widget.AppCompatTextView
                android:id="@+id/tv_tips_2"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginTop="8dp"
                android:includeFontPadding="false"
                android:lineSpacingMultiplier="1"
                android:text="@string/join_us_example_avatar_pass_tip2"
                android:textColor="@color/color_FF1D2129"
                android:textSize="14sp"
                app:layout_constrainedWidth="true"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintHorizontal_bias="0"
                app:layout_constraintStart_toEndOf="@id/iv_tag_1"
                app:layout_constraintTop_toBottomOf="@id/tv_tips_1"
                app:lineHeight="16dp" />

            <androidx.appcompat.widget.AppCompatImageView
                android:id="@+id/iv_tag_3"
                android:layout_width="16dp"
                android:layout_height="16dp"
                android:padding="5dp"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toTopOf="@id/tv_tips_3"
                app:srcCompat="@drawable/join_us_avatar_tip_tag_ic" />

            <androidx.appcompat.widget.AppCompatTextView
                android:id="@+id/tv_tips_3"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginTop="8dp"
                android:includeFontPadding="false"
                android:lineSpacingMultiplier="1"
                android:text="@string/join_us_example_avatar_pass_tip3"
                android:textColor="@color/color_FF1D2129"
                android:textSize="14sp"
                app:layout_constrainedWidth="true"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintHorizontal_bias="0"
                app:layout_constraintStart_toEndOf="@id/iv_tag_1"
                app:layout_constraintTop_toBottomOf="@id/tv_tips_2"
                app:lineHeight="16dp" />

        </androidx.constraintlayout.widget.ConstraintLayout>

    </androidx.constraintlayout.widget.ConstraintLayout>

    <!--错误示例-->
    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/cl_wrong_1"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginTop="20dp"
        app:layout_constraintTop_toBottomOf="@id/cl_pass">

        <include
            android:id="@+id/v_wrong_1"
            layout="@layout/layout_example_wrong_avatar"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_marginStart="16dp"
            android:maxWidth="76dp"
            app:layout_constraintEnd_toStartOf="@id/v_wrong_2"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

        <include
            android:id="@+id/v_wrong_2"
            layout="@layout/layout_example_wrong_avatar"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_marginStart="13dp"
            android:maxWidth="76dp"
            app:layout_constraintEnd_toStartOf="@id/v_wrong_3"
            app:layout_constraintStart_toEndOf="@id/v_wrong_1"
            app:layout_constraintTop_toTopOf="parent" />

        <include
            android:id="@+id/v_wrong_3"
            layout="@layout/layout_example_wrong_avatar"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_marginStart="13dp"
            android:maxWidth="76dp"
            app:layout_constraintEnd_toStartOf="@id/v_wrong_4"
            app:layout_constraintStart_toEndOf="@id/v_wrong_2"
            app:layout_constraintTop_toTopOf="parent" />

        <include
            android:id="@+id/v_wrong_4"
            layout="@layout/layout_example_wrong_avatar"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_marginStart="13dp"
            android:layout_marginEnd="16dp"
            android:maxWidth="76dp"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toEndOf="@id/v_wrong_3"
            app:layout_constraintTop_toTopOf="parent" />

    </androidx.constraintlayout.widget.ConstraintLayout>

    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/cl_wrong_2"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginTop="12dp"
        app:layout_constraintTop_toBottomOf="@id/cl_wrong_1">

        <include
            android:id="@+id/v_wrong_5"
            layout="@layout/layout_example_wrong_avatar"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_marginStart="16dp"
            android:maxWidth="76dp"
            app:layout_constraintEnd_toStartOf="@id/v_wrong_6"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

        <include
            android:id="@+id/v_wrong_6"
            layout="@layout/layout_example_wrong_avatar"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_marginStart="13dp"
            android:maxWidth="76dp"
            app:layout_constraintEnd_toStartOf="@id/v_wrong_7"
            app:layout_constraintStart_toEndOf="@id/v_wrong_5"
            app:layout_constraintTop_toTopOf="parent" />

        <include
            android:id="@+id/v_wrong_7"
            layout="@layout/layout_example_wrong_avatar"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_marginStart="13dp"
            android:maxWidth="76dp"
            app:layout_constraintEnd_toStartOf="@id/v_wrong_8"
            app:layout_constraintStart_toEndOf="@id/v_wrong_6"
            app:layout_constraintTop_toTopOf="parent" />

        <include
            android:id="@+id/v_wrong_8"
            layout="@layout/layout_example_wrong_avatar"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_marginStart="13dp"
            android:layout_marginEnd="16dp"
            android:maxWidth="76dp"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toEndOf="@id/v_wrong_7"
            app:layout_constraintTop_toTopOf="parent" />

    </androidx.constraintlayout.widget.ConstraintLayout>


</androidx.constraintlayout.widget.ConstraintLayout>